Package org.eclipse.emf.cdo.common.commit

## Interface CDOCommitHistory.Provider<KEY,​HISTORY extends CDOCommitHistory>

- All Known Subinterfaces:
    `CDOCommitInfoManager`, `CDOTransaction`, `CDOView`, `InternalCDOCommitInfoManager`, `InternalCDOTransaction`, `InternalCDOView`
  All Known Implementing Classes:
    `CDOPushTransaction`
  Enclosing interface:
    CDOCommitHistory

      public static interface CDOCommitHistory.Provider<KEY,​HISTORY extends CDOCommitHistory>

  Provides consumers with `histories`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOCommitHistory` | `getHistory()` |
    `HISTORY` | `getHistory​(KEY key)` |

- - ### Method Detail

    - #### getHistory

          CDOCommitHistory getHistory()

    - #### getHistory

          HISTORY getHistory​(KEY key)